/**
 * @description Wrap表单配置信息
 */
export default function (wrap) {
  const wrapForm = [
    {
      type: 'text',
      field: 'name',
      label: '导航栏名称',
      initval: wrap.name || '',
      required: true
    },
    {
      type: 'text',
      field: 'MenuNo',
      label: '菜单参数',
      initval: wrap.MenuNo || '',
      required: true
    },
    {
      type: 'radio',
      field: 'datatype',
      label: '数据来源',
      initval: wrap.datatype || 'static',
      tooltip: '选择静态值，无需配置数据源。',
      required: false,
      options: [
        {value: 'dynamic', label: '动态'},
        {value: 'static', label: '静态'},
      ]
    },
    {
      type: 'number',
      field: 'height',
      label: '高度',
      initval: wrap.height || 50,
      min: 30,
      max: 200,
      precision: 0,
      required: true
    },
    {
      type: 'radio',
      field: 'switch',
      label: '切换方式',
      initval: wrap.switch || 'default',
      tooltip: '默认时在H5中会切换页面，APP中会切换标签页，使用标签页时会强制使用标签切换。',
      required: false,
      options: [
        {value: 'default', label: '默认'},
        {value: 'tab', label: '标签页'},
      ],
      controlFields: [
        {field: 'position', values: ['tab']},
        {field: 'selectStyle', values: ['tab']},
      ]
    },
    {
      type: 'radio',
      field: 'position',
      label: '菜单位置',
      initval: wrap.position || 'bottom',
      required: false,
      options: [
        {value: 'bottom', label: '底部'},
        {value: 'left', label: '左侧'},
        {value: 'right', label: '右侧'},
      ]
    },
    {
      type: 'radio',
      field: 'selectStyle',
      label: '菜单样式',
      initval: wrap.selectStyle || 'default',
      tooltip: '具体样式请在系统运行环境查看。',
      required: false,
      options: [
        {value: 'default', label: '默认'},
        {value: 'class1', label: '样式二'},
      ]
    },
    {
      type: 'radio',
      field: 'permission',
      label: '权限验证',
      initval: wrap.permission || 'false',
      required: false,
      options: [
        {value: 'true', label: '启用'},
        {value: 'false', label: '禁用'},
      ]
    },
  ]

  return wrapForm
} 